# -*- coding: utf-8 -*-
# Elisa - Home multimedia server
# Copyright (C) 2006-2008 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 3.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Elisa with Fluendo's plugins.
#
# The GPL part of Elisa is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Elisa" in the root directory of this distribution package
# for details on that license.

from elisa.plugins.pigment.pigment_controller import PigmentController

class BasePlayerController(PigmentController):
    needs = []

    def is_compatible(self, other_player):
        """ Check if the player can be used at same time than
        L{other_player}. Check is based on what each player needs. So
        if one player needs only AUDIO and another player only needs
        IMAGE, they are compatible.

        @param other_player: player to check against ours
        @type other_player: L{BasePlayerController}
        @rtype: bool
        """
        intersection = set(self.needs).intersection(set(other_player.needs))
        return len(intersection) == 0
